#ifndef SUBCONFIG__H
#define SUBCONFIG__H

#include "Config.hpp"
#include "BaseConfig.hpp"

class SubConfig : public Config
{
  private :

  static constexpr std::size_t spanSize = 100;

  private :

  const BaseConfig & model;
  int firstLineIndex{0};

  private :

  std::size_t getNbColumns() const override;
  std::size_t getColIndex(const std::string & colName) const override;
  const std::string & getColName(int colIndex) const override;
  std::size_t getFirstLineIndex() const override;

  public :

  SubConfig(BaseConfig & model);
  bool update();
};

#endif
